﻿using OpusSuite.Models.Model.Shared;
using System.ComponentModel.DataAnnotations;

namespace OpusSuite.Models.Model.LegalEntity.Agent
{
    [Table("clientreporting")]
    public class ClientReporting : ModelBase, IStaticBase
    {
        [Key]
        public int Id { get; set; }

        [StringLength(30)]
        public string Code { get; set; }

        public virtual ReportingStatus ReportingStatus { get; set; }

        public virtual Frequency Frequency { get; set; }
    }
}
