﻿using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;

namespace OpusSuite.Models.Model.Property
{
    [Table("propertydata")]
    public class PropertyData : ModelBase
    {
        [Key]
        public int Id { get; set; }

        [StringLength(30)]
        public string Code { get; set; }

        [StringLength(1024)]
        public string Value { get; set; }

        [StringLength(1024)]
        public string Description { get; set; }
    }
}
