﻿using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;
using OpusSuite.Models.Model.Tenant;

namespace OpusSuite.Models.Model.Property
{
    [Table("residentialunit")]
    public class ResidentialUnit : Unit
    {  
        public virtual ResidentialProperty Property { get; set; }

        public virtual CodeLookup UnitStatus { get; set; }

        public virtual ResidentialTenant Tenant { get; set; }

        public virtual CodeLookup Status { get; set; }
    }
}
