﻿using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;
using OpusSuite.Utility;

namespace OpusSuite.Models.Model.Ref
{
    [Table("modelmeta")]
    public class ModelMeta : ModelBase
    {
        public int Id { get; set; }
        public int MajorVersion { get; set; }
        public int MinorVersion { get; set; }
        public int RevisionVersion { get; set; }

        public int TypeValue { get; set; }
        public Enums.ModelTypes Type
        {
            get { return (Enums.ModelTypes)TypeValue; }
            set { TypeValue = (int)value; }
        }
    }
}
