﻿using System.ComponentModel.DataAnnotations;

namespace OpusSuite.Models.Model.Shared
{
    [Table("location")]
    public class Location : ModelBase, IStaticBase
    {
        [Key]
        public int Id { get; set; }

        [StringLength(30)]
        public string Code { get; set; }

        public virtual ReportingStatus ReportingStatus { get; set; }
    }
}
