﻿using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;

namespace OpusSuite.Models.Model.Tenant
{
    [Table("commerciallease")]
    public class CommercialLease : Lease
    {
        public virtual CommercialTenant Tenant { get; set; }

        public virtual CodeLookup Tenure { get; set; }

        public virtual CodeLookup Status { get; set; }

    }
}
