﻿using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;

namespace OpusSuite.Models.Model.Tenant
{
    public abstract class Lease : ModelBase, IStaticBase
    {
        [Key]
        public int Id { get; set; }

        [StringLength(30)]
        public string Code { get; set; }

        public virtual ReportingStatus ReportingStatus { get; set; }

        public virtual LeaseReview Reviews { get; set; }

        public virtual LeaseTerm Term { get; set; }
    }
}
