﻿using System;
using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;

namespace OpusSuite.Models.Model.Tenant
{
    [Table("leaseterm")]
    public class LeaseTerm : ModelBase, IStaticBase
    {
        [Key]
        public int Id { get; set; }

        [StringLength(30)]
        public string Code { get; set; }

        public virtual ReportingStatus ReportingStatus { get; set; }

        public DateTime StartDate { get; set; }

        public DateTime EndDate { get; set; }

        public int GetYears()
        {
            return 0;
        }
    }
}
