﻿using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;

namespace OpusSuite.Models.Model.Tenant
{
    [Table("residentiallease")]
    public class ResidentialLease : Lease
    {
        public virtual ResidentialTenant Tenant { get; set; }

        public virtual CodeLookup Tenure { get; set; }

        public virtual CodeLookup Status { get; set; }

    }
}
