﻿using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;
using OpusSuite.Utility;

namespace OpusSuite.Models.Model.WebAdmin
{
    [Table("userprofilerole")]
    public class UserProfileRole : ModelBase
    {
        public int UserProfileRoleId { get; set; }

        public virtual UserProfile UserProfile { get; set; }

        public int TypeValue { get; set; }
        public Enums.UserProfileRoleType Type
        {
            get { return (Enums.UserProfileRoleType)TypeValue; }
            set { TypeValue = (int)value; }
        }
    }
}
