﻿using System.Data.Common;

namespace OpusSuite.Models.Providers
{
    public interface IOpusSuiteProvider
    {
        DbConnection Connection { get; }

        string Name { get; set; }

        string Version { get; set; }

        bool TryDbConnection(string userName, string password, string databaseName, string serverName);

        string ConnectionString(string userName, string password, string databaseName, string serverName);

        bool SetupCreateDatabase(OpusSuiteModel model, string dbUserName, string dbPassword, string dbDatabase, string dbServer,
                                 string userName);

        bool ChangePassword(string p, string newPassword);
    }
}
