﻿using System.Web.Mvc;

namespace OpusSuite.Filters
{
    public class ActionAuditTraceAttribute : ActionFilterAttribute
    {
        public override void OnActionExecuting(ActionExecutingContext filterContext)
        {
//            LogUtility.NLogInformation("Trace: " + "[Controller " + filterContext.ActionDescriptor.ControllerDescriptor.ControllerName +  "] [Action " + filterContext.ActionDescriptor.ActionName + "] [User " + filterContext.HttpContext.User.Identity.Name + "] [Host Address " + filterContext.HttpContext.Request.UserHostAddress + "] [Timestamp " + filterContext.HttpContext.Timestamp + "] [Now " + DateTime.Now + "]");
                
            base.OnActionExecuting(filterContext);
        }
    }
}