﻿using OpusSuite.Models.Model.Shared;
using System.ComponentModel.DataAnnotations;
using System.Collections.Generic;

namespace OpusSuite.Models.Model.LegalEntity.Agent
{
    [Table("office")]
    public class Office : ModelBase, IStaticBase
    {
        [Key]
        public int Id { get; set; }

        [StringLength(30)]
        public string Code { get; set; }

        public virtual ReportingStatus ReportingStatus { get; set; }

        public virtual Location Location { get; set; }

        public virtual OfficeAddress Address { get; set; }

        public virtual IList<Staff> Staff { get; set; }

        public virtual OfficeCommunication Communication { get; set; }
    }
}
