﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;

namespace OpusSuite.Models.Model.Property
{
    [Table("commercialproperty")]
    public class CommercialProperty : Property
    {
        public virtual IList<CommercialUnit> Units { get; set; }

        public virtual CodeLookup Tenure { get; set; }

        public virtual CodeLookup Status { get; set; }

    }
}
