﻿using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;
using OpusSuite.Models.Model.Tenant;

namespace OpusSuite.Models.Model.Property
{
    [Table("commercialunit")]
    public class CommercialUnit : Unit
    {
        public virtual CommercialProperty Property { get; set; }

        public virtual CodeLookup UnitStatus { get; set; }

        public virtual CommercialTenant Tenant { get; set; }

        public virtual UnitValuation Valuation { get; set; }

        public virtual CodeLookup Status { get; set; }
    }
}
