﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using OpusSuite.Models.Model.Shared;

namespace OpusSuite.Models.Model.Property
{
    [Table("residentialproperty")]
    public class ResidentialProperty : Property
    {
        public virtual IList<ResidentialUnit> Units { get; set; }

        public virtual CodeLookup Tenure { get; set; }

        public virtual CodeLookup Status { get; set; }

    }
}
