﻿using System.ComponentModel.DataAnnotations;

namespace OpusSuite.Models.Model.Shared
{
    [Table("charge")]
    public class Charge : ModelBase, IStaticBase
    {
        [Key]
        public int Id { get; set; }

        [StringLength(30)]
        public string Code { get; set; }

        public virtual ReportingStatus ReportingStatus { get; set; }

        public virtual ChargeFee ChargeFee { get; set; }

        public virtual VatCode VatCode { get; set; }
    }
}
