﻿using System;
using System.ComponentModel.DataAnnotations;

namespace OpusSuite.Models.Model.Shared
{
    [Table("reportingstatus")]
    public class ReportingStatus
    {
        public enum ReportingStatusType
        {
            New,
            Draft,
            Approved,
            Old,
            Archived
        }

        public int Id { get; set; }

        public int RecordId { get; set; }

        public virtual ReportingStatusType Status { get; set; }

        public int StatusById { get; set; }

        public DateTime StatusDate { get; set; }
    }
}
